package com.lesingle.modules.biz.homework.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.lesingle.common.result.PageResult;
import com.lesingle.modules.biz.homework.dto.CreateHomeworkReviewRuleDto;
import com.lesingle.modules.biz.homework.entity.BizHomeworkReviewRule;

import java.util.List;
import java.util.Map;

public interface IHomeworkReviewRuleService extends IService<BizHomeworkReviewRule> {

    BizHomeworkReviewRule create(CreateHomeworkReviewRuleDto dto, Long tenantId);

    PageResult<Map<String, Object>> findAll(Long page, Long pageSize, Long tenantId, String name);

    List<Map<String, Object>> findAllForSelect(Long tenantId);

    Map<String, Object> findDetail(Long id);

    BizHomeworkReviewRule update(Long id, CreateHomeworkReviewRuleDto dto);

    void remove(Long id);
}
